package com.hzya.frame.plugin.lets.u8cdto;

import com.hzya.frame.ttxofs.dto.ofssaleorderoutsearch.DetailsDto;
import com.hzya.frame.ttxofs.dto.ofssaleorderoutsearch.HeaderDto;
import com.hzya.frame.plugin.lets.entity.*;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author：liuyang
 * @Package：com.hzya.frame.ttxofs.dto.u8cson
 * @Project：kangarooDataCenterV3
 * @name：SonDetailsDto
 * @Date：2024/8/5 16:07
 * @Filename：SonDetailsDto
 */
@Data
public class SonDetailsDto extends DetailsDto {
    //表头对象
    private HeaderDto header;

    //表头公司（销售公司）
    private BdCorpEntity bdCorpEntity;

    //发货库存组织
    private BdCalbodyEntity bdCalbodyEntity;

    //发货仓库
    private BdStordocEntity bdStordocEntity;

    //收货库存组织
    private BdCalbodyEntity bdCalbodyEntity1;

    //收货仓库
    private BdStordocEntity bdStordocEntity1;

    //销售组织
    private BdSalestruEntity bdSalestruEntity;

    //业务部门
    private BdDeptdocEntity bdDeptdocEntity;

    //客商管理档案
    private BdCumandocEntity bdCumandocEntity;

    //客商基本档案
    private BdCubasdocEntity bdCubasdocEntity;

    //生成汇总维度字符串
    private String summaryDimensionStr;

    //汇总总金额
    private BigDecimal groupTotalPayAmount;

    //汇总实发数量
    private BigDecimal groupShipQty;

    //发货公司
    private BdCorpEntity deliverGoodsCorp;

    //U8C平台档案
    private BdDefdocEntity platformArchives;

    //U8C店铺档案
    private BdDefdocEntity shopArchives;

    //存货管理档案，是发货公司的存货档案
    private BdInvmandocEntity bdInvmandocEntity;

    //存货基本档案
    private BdInvbasdocEntity bdInvbasdocEntity;

    //存货税率
    private BdTaxitemsEntity bdTaxitemsEntity;
}