package com.hzya.frame.ttxofs.dto.ofssaleorderoutsearch;

import lombok.Data;

@Data
public class DetailsDto {
    private String id;
    private String clientCode;
    private String companyCode;
    private String facilityCode;
    private String shipmentCode;
    private String refOrderId;
    private String refOrderDetailId;
    private String refOrderCode;
    private String allocInvId;
    private String skuCode;
    private String skuName;
    private String sourceOrderCode;
    private String inventorySts;
    private String isGift;
    private String requestQty;
    private String shipQty;
    private String quantityUM;
    private String listPrice;
    private String itemTotalAmount;
    private String totalPayAmount;
    private String totalWeight;
    private String totalVolume;
    private String totalVolumeWeight;
    private String weightUM;
    private String volumeUM;
    private String created;
    private String createdBy;
    private String lastUpdated;
    private String lastUpdatedBy;
    /**
     * 额外参数：表头对象
     */
    private HeaderDto headerDto;
    /**
     * 额外参数：(销售)出库同步是否成功
     */
    private String newState;
    /**
     * 额外参数：(销售)交易成功(红)是否成功
     */
    private String newState2;
    /**
     * 额外参数：(销售)交易成功(蓝)是否成功
     */
    private String newState3;
}