package com.hzya.frame.plugin.lets.ofs.dao;

import com.hzya.frame.plugin.lets.ofs.entity.TocofsSaleoutDetailedEntity;
import com.hzya.frame.basedao.dao.IBaseDao;

import java.util.List;

/**
 * O出库单明细表(TOC、TOB业务底表)(tocofs_saleout_detailed: table)表数据库访问层
 *
 * @author makejava
 * @since 2024-09-04 17:48:28
 */
public interface ITocofsSaleoutDetailedDao extends IBaseDao<TocofsSaleoutDetailedEntity, String> {
    /**
     * 批量插入或者更新
     *
     * @author liuyang
     */
    void entityInsertOrUpdateBatch(List<TocofsSaleoutDetailedEntity> tocofsSaleoutDetailedEntities) throws Exception;

    /**
     * 更新出库状态的日志(适合档案转换部分的日志处理)
     *
     * @author liuyang
     */
    void entityInsertOrUpdateBatchStock1(List<TocofsSaleoutDetailedEntity> tocofsSaleoutDetailedEntities) throws Exception;

    /**
     * 更新出库状态的日志(适用库存推送)
     *
     * @author liuyang
     */
    void entityInsertOrUpdateBatchStock2(List<TocofsSaleoutDetailedEntity> tocofsSaleoutDetailedEntities) throws Exception;

    /**
     * 更新出库状态的日志(适用库存推送)
     *
     * @author liuyang
     */
    void entityInsertOrUpdateBatchStock3(List<TocofsSaleoutDetailedEntity> tocofsSaleoutDetailedEntities) throws Exception;

    /**
     * 更新出库状态的日志(适用库存推送)
     *
     * @author liuyang
     */
    void entityInsertOrUpdateBatchStock4(List<TocofsSaleoutDetailedEntity> tocofsSaleoutDetailedEntities) throws Exception;
}

